Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634944 - sci-mathematics/agda-2.5.2-r1 : * setup configure failed
Summary: sci-mathematics/agda-2.5.2-r1 : * setup configure failed
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Mathematics related packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-10-21 08:41 UTC by Toralf Förster
Modified: 2017-10-21 09:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.96 KB, text/plain)
2017-10-21 08:41 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,375.76 KB, text/plain)
2017-10-21 08:41 UTC, Toralf Förster
Details
environment (environment,122.58 KB, text/plain)
2017-10-21 08:41 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.44 KB, application/x-bzip)
2017-10-21 08:41 UTC, Toralf Förster
Details
sci-mathematics:agda-2.5.2-r1:20171020-220245.log (sci-mathematics:agda-2.5.2-r1:20171020-220245.log,3.15 KB, text/plain)
2017-10-21 08:41 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.34 KB, application/x-bzip)
2017-10-21 08:41 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-10-21 08:41:05 UTC
 * ghc-pkg check: 'checking for other broken packages:'
 * ERROR: sci-mathematics/agda-2.5.2-r1::gentoo failed (configure phase):
 *   setup configure failed
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-gnome-systemd_20171010-201119

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby22 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.11 [icedtea-7]
2)	IcedTea JDK 7.2.6.11 [icedtea-bin-7]
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7 
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8  system-vm

emerge -qpv sci-mathematics/agda
[nomerge      ] sci-mathematics/agda-2.5.2-r1  USE="cpphs stdlib uhc -debug -doc -emacs -hscolour -profile" 
[ebuild  N    ]  sci-mathematics/agda-stdlib-2.5.2.0.13  USE="ffi -profile" 
[ebuild  N    ]   sci-mathematics/agda-2.5.2-r1  USE="cpphs stdlib uhc -debug -doc -emacs -hscolour -profile"
Comment 1 Toralf Förster gentoo-dev 2017-10-21 08:41:08 UTC
Created attachment 499474 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-10-21 08:41:11 UTC
Created attachment 499476 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-10-21 08:41:15 UTC
Created attachment 499478 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-10-21 08:41:18 UTC
Created attachment 499480 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-10-21 08:41:21 UTC
Created attachment 499482 [details]
sci-mathematics:agda-2.5.2-r1:20171020-220245.log
Comment 6 Toralf Förster gentoo-dev 2017-10-21 08:41:24 UTC
Created attachment 499484 [details]
temp.tbz2
Comment 7 Sergei Trofimovich gentoo-dev 2017-10-21 09:34:46 UTC
The failure here is:

  setup: Encountered missing dependencies:
  uhc-util >=0.1.6.3 && <0.1.6.7

Fri Oct 20 23:47:21 2017 >>> dev-haskell/uhc-util-0.1.6.7

We need to fix upper bound in .ebuild or .cabal file.